Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.mock
Class WsdlMockServiceDesktopPanel.OperationListModel

    java.lang.Object
      javax.swing.AbstractListModel
          com.eviware.soapui.impl.wsdl.panels.mock.WsdlMockServiceDesktopPanel.OperationListModel

All Implemented Interfaces:
  MockServiceListener, java.beans.PropertyChangeListener, java.io.Serializable, java.util.EventListener, javax.swing.ListModel

Enclosing class:
  WsdlMockServiceDesktopPanel

    public class WsdlMockServiceDesktopPanel.OperationListModel

extends javax.swing.AbstractListModel
implements javax.swing.ListModel, MockServiceListener, java.beans.PropertyChangeListener

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`WsdlMockServiceDesktopPanel.OperationListModel()`

Method Summary
`java.lang.Object` | `getElementAt(int arg0)`
`int` | `getSize()`
`void` | `mockOperationAdded(MockOperation operation)`
`void` | `mockOperationRemoved(MockOperation operation)`
`void` | `mockResponseAdded(MockResponse request)`
`void` | `mockResponseRemoved(MockResponse request)`
`void` | `propertyChange(java.beans.PropertyChangeEvent arg0)`
`void` | `release()`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.ListModel
`addListDataListener, removeListDataListener`

Constructor Detail

### WsdlMockServiceDesktopPanel.OperationListModel

    public WsdlMockServiceDesktopPanel.OperationListModel()

Method Detail

### getElementAt

    public java.lang.Object getElementAt(int arg0)

  Specified by:
    `getElementAt` in interface `javax.swing.ListModel`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `javax.swing.ListModel`

### mockOperationAdded

    public void mockOperationAdded(MockOperation operation)

  Specified by:
    `mockOperationAdded` in interface `MockServiceListener`

### mockOperationRemoved

    public void mockOperationRemoved(MockOperation operation)

  Specified by:
    `mockOperationRemoved` in interface `MockServiceListener`

### mockResponseAdded

    public void mockResponseAdded(MockResponse request)

  Specified by:
    `mockResponseAdded` in interface `MockServiceListener`

### mockResponseRemoved

    public void mockResponseRemoved(MockResponse request)

  Specified by:
    `mockResponseRemoved` in interface `MockServiceListener`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent arg0)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### release

    public void release()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.